﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WebEventmanager.aspx.cs"
    Inherits="Test_WebEventmanager" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head prefix='og: http://ogp.me/ns# fb: http://ogp.me/ns/fb# article: http://ogp.me/ns/article#'
    runat="server">
    <title></title>
    <b:if cond='data:blog.pageType != &quot;index&quot;'>
<meta expr:content='data:blog.title' property='og:site_name'/>
<meta expr:content='data:blog.pageName' property='og:title'/>
<meta content='article' property='og:type'/>
<b:else/>
<meta expr:content='data:blog.title' property='og:title'/>
<meta content='blog' property='og:type'/>
</b:if>
    <meta expr:content='data:blog.metaDescription' property='og:description' />
    <meta expr:content='data:blog.canonicalUrl' property='og:url' />
    <b:if cond='data:blog.postImageThumbnailUrl'>
<meta expr:content='data:blog.postImageThumbnailUrl' property='og:image'/>
<b:else/>
<meta content='http://blog-img-url' property='og:image'/>
</b:if>
    <meta content='1020412247' property='fb:admins' />
    <meta content='348446671899960' property='fb:app_id' />
    <meta content='en_US' property='og:locale' />
    <meta content='en_GB' property='og:locale:alternate' />
    <meta content='hi_IN' property='og:locale:alternate' />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <ol class="formFields">
            <li class="clearfix">
                <ektronUI:Label ID="uxWebCalendarIDLabel" AssociatedControlID="uxWebCalendarID" CssClass="span-4 last"
                    runat="server" Text="*WebCalendar ID :" />
                <ektronUI:TextField ID="uxWebCalendarID" CssClass="span-4" runat="server" ValidationGroup="RegisterValidationGroup"
                    Text="88" />
            </li>
            <li class="clearfix">
                <ektronUI:Label ID="uxStartDateLabel" AssociatedControlID="uxStartDate" CssClass="span-4 last"
                    runat="server" Text="*Start DateTime :" />
                <ektronUI:Datepicker Rows="3" ID="uxStartDate" CssClass="span-4" runat="server" Text="MM/DD/YYYY"
                    ValidationGroup="RegisterValidationGroup" />
                <asp:DropDownList ID="uxStartTime" runat="server">
                    <asp:ListItem>12</asp:ListItem>
                    <asp:ListItem>1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                    <asp:ListItem>11</asp:ListItem>
                </asp:DropDownList>
                <asp:DropDownList ID="uxStartPeriod" runat="server">
                    <asp:ListItem>AM</asp:ListItem>
                    <asp:ListItem>PM</asp:ListItem>
                </asp:DropDownList>
            </li>
            <li class="clearfix">
                <ektronUI:Label ID="uxEndDateLabel" AssociatedControlID="uxEndDate" CssClass="span-4 last"
                    runat="server" Text="*End DateTime :" />
                <ektronUI:Datepicker Rows="3" ID="uxEndDate" CssClass="span-4" runat="server" Text="MM/DD/YYYY"
                    ValidationGroup="RegisterValidationGroup" />
                <asp:DropDownList ID="uxEndTime" runat="server">
                    <asp:ListItem>1</asp:ListItem>
                    <asp:ListItem>2</asp:ListItem>
                    <asp:ListItem>3</asp:ListItem>
                    <asp:ListItem>4</asp:ListItem>
                    <asp:ListItem>5</asp:ListItem>
                    <asp:ListItem>6</asp:ListItem>
                    <asp:ListItem>7</asp:ListItem>
                    <asp:ListItem>8</asp:ListItem>
                    <asp:ListItem>9</asp:ListItem>
                    <asp:ListItem>10</asp:ListItem>
                    <asp:ListItem>11</asp:ListItem>
                    <asp:ListItem>12</asp:ListItem>
                </asp:DropDownList>
                <asp:DropDownList ID="uxEndPeriod" runat="server">
                    <asp:ListItem>AM</asp:ListItem>
                    <asp:ListItem>PM</asp:ListItem>
                </asp:DropDownList>
            </li>
            <ektronUI:Button ID="uxSubmit" runat="server" OnClick="uxSubmit_Click" Text="GetList"></ektronUI:Button>
            <ektronUI:Label ID="uxRequiredLabel" CssClass="span-4" runat="server" Text="* - Required" />
        </ol>
        <ol class="formFields">
            <li class="clearfix"></li>
            <asp:ListView ID="uxEventlistView" runat="server" ItemPlaceholderID="aspItemPlaceholder"
                Visible="false">
                <EmptyDataTemplate>
                    Criteria did not match any records.</EmptyDataTemplate>
                <LayoutTemplate>
                    <table class="devsite-api-method">
                        <thead>
                            <tr>
                                <th>
                                    WebEvent Id
                                </th>
                                <th>
                                    Title
                                </th>
                                <th>
                                    Location
                                </th>
                                <th>
                                    Start Date
                                </th>
                                <th>
                                    End Date
                                </th>
                                <th>
                                    IsRecurring
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <asp:PlaceHolder ID="aspItemPlaceholder" runat="server"></asp:PlaceHolder>
                        </tbody>
                    </table>
                </LayoutTemplate>
                <ItemTemplate>
                    <tr>
                        <td class="devsite-method">
                            <%# Eval("Id")%>
                        </td>
                        <td class="devsite-method">
                            <%# Eval("Title")%>
                        </td>
                        <td class="devsite-method">
                            <%# Eval("Location")%>
                        </td>
                        <td class="devsite-method">
                            <%# Eval("EventStart")%>
                        </td>
                        <td class="devsite-method">
                            <%# Eval("EventEnd")%>
                        </td>
                        <td class="devsite-method">
                            <%# Eval("IsRecurring")%>
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:ListView>
        </ol>
    </div>
    </form>
</body>
</html>
